{ pkgs, ... }:

let
	username = "sadorowo";
  	homeDirectory = "/home/${username}";
in {
	imports = [
    	./packages.nix
    	./programs.nix
		./theme.nix
	];

  	home = {
    	inherit username homeDirectory;
    	sessionVariables = {
      		NIXOS_OZONE_WL = "1";
			TZ = "Europe/Warsaw";
    	};
  	};

  	programs.home-manager.enable = true;
	home.stateVersion = "24.11";
}

